Foreman - Bug #5717

Provisioning template selection issue
05/14/2014 02:04 PM - Simon Murray

Status: Duplicate
Priority: Normal
Assignee:

Category: Templates

Target version:

Difficulty: trivial Fixed in Releases:

Triaged: Found in Releases: 1.4.4
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Our finish templates looked a bit like this:
Finish Bonded IF [ HostgroupA / production ]
Finish Default

A host | was provisioning was in HostgroupB, so | expected 'Finish Default' to be picked up from the operating system, but instead |

got 'Finish Bonded IF'. Not good if they are on difference VLANS :)

What | believe is probably happening is when checking for an environment match it's just picking the first template in production,
regardless of whether that environment is for an explicit hostgroup. The pseudo code logic should be (to my mind!):

for_each template

if template.hostgroup hostgroup and template.env env
use template

for_each template

if template.hostgroup hostgroup and ! isset(template.env)
use template

for_each template

if | isset(template.hostgroup) and template.env env

use template

use os.template

cheers!

Related issues:

Is duplicate of Foreman - Bug #4287: Template associations on HG & Env is broken

Closed 02/06/2014

History

#1 - 05/14/2014 02:16 PM - Dominic Cleal
- Is duplicate of Bug #4287: Template associations on HG & Env is broken added

#2 - 05/14/2014 02:17 PM - Dominic Cleal

- Status changed from New to Duplicate

This has been fixed in Foreman 1.5.0 via #4287, thanks for the report!
